use axum::{
    Router,
    routing::{get, post, put},
};

use crate::{inventory::handler::*, utils::db_pool::AppState};

pub fn inventory_routes() -> Router<AppState> {
    Router::new()
        .route(
            "/update_item/{item_id}/{item_amount}",
            put(update_inventory_item),
        )
        .route(
            "/add_item/{item_name}/{item_amount}",
            post(create_inventory_item),
        )
        .route("/get_item/", get(get_inventory_item))
}
